<?php
function mass_email_form($form, &$form_state){
	global $user;
	
 $form['recipients'] = array(
    '#type' => 'textarea',
    '#title' => t('Recipients'),
    '#description' => t("Example: 'webmaster@example.com' or 'sales@example.com,support@example.com' . To specify multiple recipients, separate each e-mail address with a comma."),
    '#required' => TRUE,
  );
  $form['subject'] = array(
    '#type' => 'textfield',
    '#title' => t('Subject'),
    '#maxlength' => 255,
    '#required' => TRUE,
  );
   $form['message'] = array(
    '#type' => 'textarea',
    '#title' => t('Message'),
    '#required' => TRUE,
  );
   $form['from'] = array(
    '#type' => 'textfield',
    '#title' => t('From e-mail address'),
    '#maxlength' => 255,
    '#default_value' => $user->uid ? $user->mail : '',
    '#required' => TRUE,
  );
   $form['name'] = array(
    '#type' => 'textfield',
    '#title' => t('Your name'),
    '#maxlength' => 255,
    '#default_value' => $user->uid ? format_username($user) : '',
    '#required' => TRUE,
  );
  // $form['actions'] = array('#type' => 'actions');
  $form['submit'] = array(
    '#type' => 'submit',
    '#value' => t('Send'),
  );

  return $form;
}
/**
 * Form submission handler for mass_email_form().
 *
 */
function mass_email_form_submit($form, &$form_state) {
  global $user, $language;
  $values = $form_state['values'];
  $from = $values['from'];
  $params['subject'] = $values['subject'];
  $params['message'] = $values['message'];
  $to_ar=explode("\r\n",$values['recipients']); 
foreach($to_ar as $to){
	drupal_mail('mass_email', 'send_mass_email', $to, language_default(), $params, $from);
}
  drupal_set_message(t('Your message has been sent.'));  
}
